groff-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[groff] 05/13: [mm]: Regression-test Savannah #62190.


From: G. Branden Robinson
Subject: [groff] 05/13: [mm]: Regression-test Savannah #62190.
Date: Wed, 27 Apr 2022 15:39:21 -0400 (EDT)

gbranden pushed a commit to branch master
in repository groff.

commit 75d1c1591824e7ea455df73dcdd502d179c9cf5b
Author: G. Branden Robinson <g.branden.robinson@gmail.com>
AuthorDate: Wed Apr 27 22:38:03 2022 +1000

    [mm]: Regression-test Savannah #62190.
    
    * contrib/mm/tests/place-equation-labels-correctly-in-displays.sh: Test
      it.
    * contrib/mm/mm.am (mm_TESTS): Run test.
---
 contrib/mm/ChangeLog                               |  7 +++
 contrib/mm/mm.am                                   |  1 +
 .../place-equation-labels-correctly-in-displays.sh | 62 ++++++++++++++++++++++
 3 files changed, 70 insertions(+)

diff --git a/contrib/mm/ChangeLog b/contrib/mm/ChangeLog
index 20387758..8695fe08 100644
--- a/contrib/mm/ChangeLog
+++ b/contrib/mm/ChangeLog
@@ -1,3 +1,10 @@
+2022-04-27  G. Branden Robinson <g.branden.robinson@gmail.com>
+
+       Regression-test Savannah #62190.
+
+       * tests/place-equation-labels-correctly-in-displays.sh: Test it.
+       * mm.am (mm_TESTS): Run test.
+
 2021-08-12  G. Branden Robinson <g.branden.robinson@gmail.com>
 
        * m.tmac (R): Alter to work analogously to `B` and `I` macros;
diff --git a/contrib/mm/mm.am b/contrib/mm/mm.am
index 146bed6a..ad195760 100644
--- a/contrib/mm/mm.am
+++ b/contrib/mm/mm.am
@@ -65,6 +65,7 @@ mm_TESTS = \
   contrib/mm/tests/LT_SP_multi-word_LO_SJ_works.sh \
   contrib/mm/tests/MT_5_includes_AT_in_SG.sh \
   contrib/mm/tests/ms_cover_sheet_robust_to_missing_AF.sh \
+  contrib/mm/tests/place-equation-labels-correctly-in-displays.sh \
   contrib/mm/tests/remove-stale-bib-entry-data.sh
 TESTS += $(mm_TESTS)
 EXTRA_DIST += \
diff --git a/contrib/mm/tests/place-equation-labels-correctly-in-displays.sh 
b/contrib/mm/tests/place-equation-labels-correctly-in-displays.sh
new file mode 100755
index 00000000..19703972
--- /dev/null
+++ b/contrib/mm/tests/place-equation-labels-correctly-in-displays.sh
@@ -0,0 +1,62 @@
+#!/bin/sh
+#
+# Copyright (C) 2022 Free Software Foundation, Inc.
+#
+# This file is part of groff.
+#
+# groff is free software; you can redistribute it and/or modify it under
+# the terms of the GNU General Public License as published by the Free
+# Software Foundation, either version 3 of the License, or (at your
+# option) any later version.
+#
+# groff is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+# for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+groff="${abs_top_builddir:-.}/test-groff"
+
+fail=
+
+wail () {
+    echo FAILED >&2
+    fail=YES
+}
+
+# Regression-test Savannah #62190.  Check left- and center-aligned
+# displayed equations as well.
+
+input='.DS L
+.EQ (1)
+p = q
+.EN
+.DE
+.DS I
+.EQ (2)
+w = z
+.EN
+.DE
+.DS C
+.EQ (3)
+x = y
+.EN
+.DE'
+
+output=$(printf "%s\n" "$input" | "$groff" -e -mm -Tascii -P-cbou)
+
+echo "checking left-aligned displayed equation" >&2
+echo "$output" | grep -Eq 'p=q {54}\(1\)' || wail
+
+echo "checking indented displayed equation" >&2
+echo "$output" | grep -Eq 'w=z {49}\(2\)' || wail
+
+echo "checking centered displayed equation" >&2
+echo "$output" | grep -Eq 'x=y {26}\(3\)' || wail
+
+test -z "$fail" || exit 1
+
+# vim:set ai et sw=4 ts=4 tw=72:



reply via email to

[Prev in Thread] Current Thread [Next in Thread]